Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
MinifyHTML
#1
Eine neue Erweiterung wurde veröffentlicht: MinifyHTML

Zitat:This simple plugin compresses the outgoing html code of forum site by removing unnecessary line breaks.

Plugin ignores content in textarea, pre and script tags. Also it doesn't removes inline javascript codes or template comments.
(Option: You can deactivate the myBB template comments in ACP configuration manually.)

Installation:
  • Download & unzip package

  • Copy content from "Upload" folder to the forum root on server

  • Activate the plugn in ACP

  • Check the plugin settings in configuration

Update:
  • Download & unzip new package

  • Deactivate plugin in ACP

  • Copy content from "Upload" folder to the forum root on server - overwrite existing plugin files

  • Activate the plugn in ACP

  • Check the plugin settings in configuration

Changelog:

v 1.4
  • fixed issues with popup windows
v 1.3
  • added validation fix
v 1.2
  • added codename for MyBB plugin update function

  • added settings option to exclude pages from minifying

  • updated language files for new settings
v 1.1
  • fixed language issues

  • fixed uninstall problem
v 1.0
  • Initial release

This plugin offers full language support.
The package contains english and german language files.


Licensed under the GNU GPL, version 3. Click here for the official github repository for this project.
Zitieren
#2
Eine neue Version wurde veröffentlicht: MinifyHTML 1.2
Zitieren
#3
hallo,

habe mir dieses plugin installiert und es funktioniert auch sehr gut bis jetzt. zumindest ist mir noch nichts aufgefallen, nun ja, fast nichts. da ich halt immer so ein bißchen auf die validilität achte, habe ich hier folgenden fehler vom validator:

Code:
line 252 column 47 - Fehler: unterminated comment: found end of entity inside comment

als lösung schlägt er vor:

PHP-Code:
    <!-- comment here --> 

dies ist ganz zum schluss der jeweiligen seite... hinter </html>
Mit freundlichen Grüßen



Für etwaige Tipps, Vorschläge oder Anleitungen von mir gebe ich keine Gewähr. Die Durchführung erfolgt auf eigene Gefahr!
Zitieren
#4
Danke für den Hinweis - Ich selbst hatte solch eine Fehlermeldung noch nicht.
Könntest du mir bitte den Validator nennen, der diesen Fehler anzeigt? Wenn möglich dazu auch eine Muster-Url zum testen.

Ich würde Das dann mal checken und das Plugin entsprechend anpassen.
MfG Sven
Zitieren
#5
url sende ich dir per pn zu, als validator nutze ich die firefoxerweiterung html validator..., welche den hier benutzt:

https://validator.w3.org/
Mit freundlichen Grüßen



Für etwaige Tipps, Vorschläge oder Anleitungen von mir gebe ich keine Gewähr. Die Durchführung erfolgt auf eigene Gefahr!
Zitieren
#6
Danke, ich check das nachher mal am PC (bin momentan nur via Tablet online)

Hättest du evtl. auch einen Link zum FF-Addon?
MfG Sven
Zitieren
#7
https://addons.mozilla.org/de/firefox/ad...validator/
Mit freundlichen Grüßen



Für etwaige Tipps, Vorschläge oder Anleitungen von mir gebe ich keine Gewähr. Die Durchführung erfolgt auf eigene Gefahr!
Zitieren
#8
Danke...hab den Fehler gefunden und beseitigt.

Wenn man in den Foreneinstellungen die Template-HTML-Kommentare aktiviert hatte, wurde leider auch das letzte, schließende "-->" aus der Seite entfernt. Dieses ist mit Plugin-Version 1.3 nun gefixed.

Vorab hänge ich die neue Plugindatei an...der Upload zu Github und myBB.com erfolgt ebenfalls umgehend.

Zum Aktualisieren muss nur die angehängte Datei "minifyhtml.php" in den Ordner "ROOT/inc/plugins/" kopiert und die alte Version damit überschrieben werden.

Danke nochmal für den Hinweis!


Angehängte Dateien
.php   minifyhtml.php (Größe: 5,65 KB / Downloads: 1)
MfG Sven
Zitieren
#9
cool, danke.... so gefällt mir das... sehr schneller support.... und effektiver....

jetzt ist der validator wieder grün... Big Grin

ja die html kommentare hab ich auch nur an, weil von waldo das eine plugin dies erfordert. glücklich bin ich damit nicht, aber das plugin ist schon gut (hidepollresults).
Mit freundlichen Grüßen



Für etwaige Tipps, Vorschläge oder Anleitungen von mir gebe ich keine Gewähr. Die Durchführung erfolgt auf eigene Gefahr!
Zitieren
#10
Eine neue Version wurde veröffentlicht: MinifyHTML 1.3
Zitieren